Index: data/worlds/DefaultWorld.oxw
===================================================================
--- data/worlds/DefaultWorld.oxw	(revision 3489)
+++ data/worlds/DefaultWorld.oxw	(revision 3494)
@@ -13,5 +13,5 @@
     <SpaceShip>
       <name>Player</name>
-      <model>models/ships/reaplow.obj</model>
+      <model>models/ships/reap_#.obj</model>
     </SpaceShip>
 
Index: data/worlds/Straight.oxw
===================================================================
--- data/worlds/Straight.oxw	(revision 3489)
+++ data/worlds/Straight.oxw	(revision 3494)
@@ -12,5 +12,5 @@
     <SpaceShip>
       <name>Player</name>
-      <model>models/ships/reaplow.obj</model>
+      <model>models/ships/reap_#.obj</model>
     </SpaceShip>
     <TurretPowerUp>
Index: data/worlds/World2.oxw
===================================================================
--- data/worlds/World2.oxw	(revision 3489)
+++ data/worlds/World2.oxw	(revision 3494)
@@ -11,5 +11,5 @@
     <SpaceShip>
       <name>Player</name>
-      <model>models/ships/reaplow.obj</model>
+      <model>models/ships/fighter.obj</model>
     </SpaceShip>
 
Index: data/worlds/vulcania.oxw
===================================================================
--- data/worlds/vulcania.oxw	(revision 3489)
+++ data/worlds/vulcania.oxw	(revision 3494)
@@ -10,9 +10,8 @@
   </LoadScreen>
   <WorldEntities>
-    <SpaceShip>
+    <Helicopter>
       <name>Player</name>
-      <model>models/ships/fighter.obj</model>
       <abs-coor>50, 100, 50</abs-coor>
-    </SpaceShip>
+    </Helicopter>
 
     <SkyBox>
@@ -27,7 +26,4 @@
     </Terrain>
 
-
-
-<!--
     <ParticleSystem>
       <name>VulcanStoneSystem</name>
@@ -38,5 +34,4 @@
       <mass>0,.1,0</mass>
     </ParticleSystem>
-
     <ParticleEmitter>
      <name>VulcanStoneEmitter</name>
@@ -49,5 +44,4 @@
      <spread>1,.5</spread>
     </ParticleEmitter>
-
 
     <ParticleSystem>
@@ -64,5 +58,4 @@
      <color>1,.0,.0,.0,.0</color>
    </ParticleSystem>
-
    <ParticleEmitter>
     <name>VulcanFogEmitter</name>
@@ -88,5 +81,4 @@
      <color>1,.0,.0,.0,.0</color>
    </ParticleSystem>
-
    <ParticleEmitter>
     <name>VulcanSparkEmitter</name>
@@ -99,34 +91,4 @@
     <rel-coor>2460,105,606</rel-coor>
    </ParticleEmitter>
-
-
-
-
-    <ParticleSystem>
-     <name>EngineSystem</name>
-     <type>sprite</type>
-     <conserve>.8</conserve>
-     <max-count>5000</max-count>
-     <life-span>.8,.2</life-span>
-     <radius>0,.5,0</radius>
-     <radius>0.2,3.0,2.0</radius>
-     <radius>1.0,0,0</radius>
-     <mass>0,1,.05</mass>
-     <color>0,.5,0,0,1</color>
-     <color>.5,1,1,0,.01</color>
-     <color>1,.0,.0,.0,.0</color>
-   </ParticleSystem>
-
-   <ParticleEmitter>
-    <name>EngineEmitter</name>
-    <parent>Player</parent>
-    <rel-coor>-1,0,0</rel-coor>
-    <emission-direction>-1,0,0</emission-direction>
-    <type>cube</type>
-    <spread>.5,.3</spread>
-    <emission-velocity>.5,.1</emission-velocity>
-    <rate>100</rate>
-   </ParticleEmitter>
--->
 
 </WorldEntities>
@@ -154,5 +116,4 @@
    <connect>VulcanFogEmitter, VulcanFogSystem</connect>
    <connect>VulcanSparkEmitter, VulcanSparkSystem</connect>
-   <connect>EngineEmitter, EngineSystem</connect>
   </ParticleEngine>
 
@@ -174,88 +135,6 @@
      <field>gravity</field>
     </PhysicsConnection>
-  </Connections>
+   </Connections>
   </PhysicsEngine>
 
-  <Track>
-   <Point>0,0,0</Point>
-   <Point>100,0,0</Point>
-   <Point>250,-20,0</Point>
-   <Point>350,-50,50</Point>
-   <Point>400,-60,50</Point>
-   <Point>450,-60,50</Point>
-   <Duration>8</Duration>
-   <SavePoint>Forest</SavePoint>
-   <Point>600,-60,60</Point>
-   <Point>900,0,120</Point>
-   <Point>1000,20,150</Point>
-   <Point>1300,100,250</Point>
-   <Point>1500,100,250</Point>
-   <Duration>15</Duration>
-   <SavePoint>Vulcano</SavePoint>
-   <Point>2000,30,260</Point>
-   <Point>2500,30,260</Point>
-   <Point>2600,30,260</Point>
-   <Point>2700,40,300</Point>
-   <Point>2700,50,300</Point>
-   <Point>2800,70,400</Point>
-
-
-   <Point>2850,70,650</Point>
-   <Point>2900,70,750</Point>
-   <Point>2850,70,850</Point>
-   <Point>2700,70,900</Point>
-
-   <Point>2400,70,900</Point>
-   <Point>2350,70,850</Point>
-   <Point>2300,70,800</Point>
-   <Point>2200,80,700</Point>
-   <Duration>30</Duration>
-   <SavePoint>Vulcano 2</SavePoint>
-
-   <Point>2300,70,300</Point>
-   <Point>2350,70,300</Point>
-   <Point>2400,70,300</Point>
-
-   <Point>2850,70,300</Point>
-   <Point>2850,70,900</Point>
-   <Point>2900,110,1000</Point>
-   <Point>3000,115,1100</Point>
-   <Point>3100,115,1100</Point>
-   <Duration>30</Duration>
-   <SavePoint>The Tunnel</SavePoint>
-   <Point>3500,110,1000</Point>
-   <Point>3900,110,950</Point>
-   <Point>4200,110,1000</Point>
-   <Point>4500,110,950</Point>
-   <Point>4700,110,900</Point>
-   <Point>4800,110,850</Point>
-   <Duration>30</Duration>
-   <Savepoint>Metal and Ash</Savepoint>
-
-
-
-   <Point>4800,50,500</Point>
-   <Point>4900,50,500</Point>
-   <Duration>7</Duration>
-
-   <SavePoint>Metal</SavePoint>
-   <Point>5200,50,500</Point>
-   <Point>5600,150,1000</Point>
-   <Point>6200,100,1250</Point>
-   <Point>6500,140,1500</Point>
-   <Point>6800,150,1600</Point>
-   <Duration>8</Duration>
-   <SavePoint>City</SavePoint>
-   <WorkOn>City</WorkOn>
-   <Point>6900,200,1650</Point>
-   <Point>7200,200,1630</Point>
-   <Point>7300,200,1650</Point>
-   <Point>7400,200,1650</Point>
-   <Point>7500,200,1640</Point>
-   <Point>7600,200,1630</Point>
-   <Point>7700,120,1500</Point>
-   <Point>8400,1500,1250</Point>
-   <Duration>8</Duration>
- </Track>
-
 </WorldDataFile>