Index: data/worlds/DefaultCampaign.oxc
===================================================================
--- data/worlds/DefaultCampaign.oxc	(revision 3494)
+++ data/worlds/DefaultCampaign.oxc	(revision 3495)
@@ -4,24 +4,14 @@
   <description>The one and only default debug campaign</description>
   <WorldList>
-    <World>
+    <NetworkWorld>
       <identifier>0</identifier>
       <nextid>1</nextid>
       <path>worlds/Straight.oxw</path>
-    </World>
-    <World>
+    </NetworkWorld>
+    <NetworkWorld>
       <identifier>1</identifier>
       <nextid>2</nextid>
       <path>worlds/DefaultWorld.oxw</path>
-    </World>
-    <World>
-      <identifier>2</identifier>
-      <nextid>3</nextid>
-      <path>worlds/vulcania.oxw</path>
-    </World>
-    <World>
-      <identifier>3</identifier>
-      <nextid>999</nextid>
-      <path>worlds/World2.oxw</path>
-    </World>
+    </NetworkWorld>
   </WorldList>
 </Campaign>
Index: data/worlds/DefaultNetworkCampaign.oxc
===================================================================
--- data/worlds/DefaultNetworkCampaign.oxc	(revision 3495)
+++ data/worlds/DefaultNetworkCampaign.oxc	(revision 3495)
@@ -0,0 +1,27 @@
+<Campaign>
+  <name>default</name>
+  <identifier>666</identifier>
+  <description>The one and only default debug campaign</description>
+  <WorldList>
+    <World>
+      <identifier>0</identifier>
+      <nextid>1</nextid>
+      <path>worlds/Straight.oxw</path>
+    </World>
+    <World>
+      <identifier>1</identifier>
+      <nextid>2</nextid>
+      <path>worlds/DefaultWorld.oxw</path>
+    </World>
+    <World>
+      <identifier>2</identifier>
+      <nextid>3</nextid>
+      <path>worlds/vulcania.oxw</path>
+    </World>
+    <World>
+      <identifier>3</identifier>
+      <nextid>999</nextid>
+      <path>worlds/World2.oxw</path>
+    </World>
+  </WorldList>
+</Campaign>
Index: data/worlds/DefaultNetworkWorld.oxw
===================================================================
--- data/worlds/DefaultNetworkWorld.oxw	(revision 3495)
+++ data/worlds/DefaultNetworkWorld.oxw	(revision 3495)
@@ -0,0 +1,76 @@
+<WorldDataFile>
+  <name>NULLWORLD</name>
+  <LoadScreen>
+    <BackgroundImage>pictures/load_screen.jpg</BackgroundImage>
+
+    <ElementCount>5</ElementCount>
+    <BackgroundPS>0,0,1.01,1</BackgroundPS>
+    <BarPS>.65,.87,.3,.05</BarPS>
+    <BarImage>pictures/load_screen_bar.png</BarImage>
+  </LoadScreen>
+  <WorldEntities>
+
+    <SpaceShip>
+      <name>Player</name>
+      <model>models/ships/reap_#.obj</model>
+    </SpaceShip>
+
+    <SkyBox>
+     <name>Sky</name>
+     <Materialset>pictures/sky/desert</Materialset>
+     <Size>10000</Size>
+    </SkyBox>
+    <Terrain>
+      <name>HardCore</name>
+      <model>worlds/environ.obj</model>
+    </Terrain>
+  </WorldEntities>
+    <LightManager>
+    <Lights>
+      <Light>
+       <diffuse-color>1,1,1</diffuse-color>
+       <abs-coor>100,100,50</abs-coor>
+      </Light>
+      <ambient-color>1,1,1</ambient-color>
+    </Lights>
+  </LightManager>
+
+  <Track>
+   <Point>0,0,0</Point>
+   <Point>350,50,0</Point>
+   <SavePoint/>
+   <Point>700,50,0</Point>
+   <Duration>7</Duration>
+   <Fork>Desert,Metal</Fork>
+
+   <WorkOn>Desert</WorkOn>
+   <Point>1000,50,0</Point>
+   <Point>1300,50,-400</Point>
+   <Point>2300,50,-400</Point>
+   <Point>3000,50,-250</Point>
+   <Point>3700,50,0</Point>
+   <Point>4400,50,100</Point>
+   <Point>5000,50,90</Point>
+   <Duration>10</Duration>
+
+   <WorkOn>Metal</WorkOn>
+   <Point>1000,50,0</Point>
+   <Point>1400,150,500</Point>
+   <Point>2000,100,750</Point>
+   <Point>2300,140,1000</Point>
+   <Point>2600,150,1100</Point>
+   <Duration>8</Duration>
+   <SavePoint>City</SavePoint>
+   <WorkOn>City</WorkOn>
+   <Point>2700,200,1150</Point>
+   <Point>3000,200,1130</Point>
+   <Point>3100,200,1150</Point>
+   <Point>3200,200,1150</Point>
+   <Point>3300,200,1140</Point>
+   <Point>3400,200,1130</Point>
+   <Point>3800,120,1000</Point>
+   <Point>4200,1500,750</Point>
+   <Duration>8</Duration>
+   <Join>Desert,City</Join>
+ </Track>
+</WorldDataFile>