Index: /orxonox/trunk/src/Makefile.in
===================================================================
--- /orxonox/trunk/src/Makefile.in	(revision 3501)
+++ /orxonox/trunk/src/Makefile.in	(revision 3502)
@@ -313,7 +313,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/Makefile
+	  $(AUTOMAKE) --foreign  src/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /orxonox/trunk/src/lib/Makefile.in
===================================================================
--- /orxonox/trunk/src/lib/Makefile.in	(revision 3501)
+++ /orxonox/trunk/src/lib/Makefile.in	(revision 3502)
@@ -181,7 +181,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/lib/Makefile
+	  $(AUTOMAKE) --foreign  src/lib/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /orxonox/trunk/src/lib/graphics/Makefile.in
===================================================================
--- /orxonox/trunk/src/lib/graphics/Makefile.in	(revision 3501)
+++ /orxonox/trunk/src/lib/graphics/Makefile.in	(revision 3502)
@@ -175,7 +175,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/graphics/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/graphics/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/lib/graphics/Makefile
+	  $(AUTOMAKE) --foreign  src/lib/graphics/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /orxonox/trunk/src/lib/graphics/importer/Makefile.in
===================================================================
--- /orxonox/trunk/src/lib/graphics/importer/Makefile.in	(revision 3501)
+++ /orxonox/trunk/src/lib/graphics/importer/Makefile.in	(revision 3502)
@@ -215,7 +215,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/graphics/importer/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/graphics/importer/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/lib/graphics/importer/Makefile
+	  $(AUTOMAKE) --foreign  src/lib/graphics/importer/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /orxonox/trunk/src/lib/gui/Makefile.in
===================================================================
--- /orxonox/trunk/src/lib/gui/Makefile.in	(revision 3501)
+++ /orxonox/trunk/src/lib/gui/Makefile.in	(revision 3502)
@@ -177,7 +177,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/gui/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/gui/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/lib/gui/Makefile
+	  $(AUTOMAKE) --foreign  src/lib/gui/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /orxonox/trunk/src/lib/gui/console/Makefile.in
===================================================================
--- /orxonox/trunk/src/lib/gui/console/Makefile.in	(revision 3501)
+++ /orxonox/trunk/src/lib/gui/console/Makefile.in	(revision 3502)
@@ -203,7 +203,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/gui/console/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/gui/console/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/lib/gui/console/Makefile
+	  $(AUTOMAKE) --foreign  src/lib/gui/console/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /orxonox/trunk/src/lib/gui/gui/Makefile.in
===================================================================
--- /orxonox/trunk/src/lib/gui/gui/Makefile.in	(revision 3501)
+++ /orxonox/trunk/src/lib/gui/gui/Makefile.in	(revision 3502)
@@ -236,7 +236,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/gui/gui/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/gui/gui/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/lib/gui/gui/Makefile
+	  $(AUTOMAKE) --foreign  src/lib/gui/gui/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /orxonox/trunk/src/story_entities/world.cc
===================================================================
--- /orxonox/trunk/src/story_entities/world.cc	(revision 3501)
+++ /orxonox/trunk/src/story_entities/world.cc	(revision 3502)
@@ -72,5 +72,5 @@
   this->localCamera->destroy();
   this->nullParent->destroy();  
-  delete this->skySphere;
+  //delete this->skySphere;
 
   //delete this->trackManager;
@@ -225,4 +225,5 @@
 	    // Create SkySphere
 	    skySphere = new Skysphere("../data/pictures/sky-replace.jpg");
+	    this->localPlayer->addChild(this->skySphere);
 
 	    /*monitor progress*/
@@ -277,4 +278,5 @@
 	    // Create SkySphere
 	    skySphere = new Skysphere("../data/pictures/sky-replace.jpg");
+	    this->localPlayer->addChild(this->skySphere);
 
 	    break;
@@ -825,5 +827,5 @@
 	  entity = entities->nextElement();
 	}
-      skySphere->updatePosition(localCamera->absCoordinate);
+      //skySphere->updatePosition(localCamera->absCoordinate);
       
       /* update tick the rest */
Index: /orxonox/trunk/src/world_entities/skysphere.cc
===================================================================
--- /orxonox/trunk/src/world_entities/skysphere.cc	(revision 3501)
+++ /orxonox/trunk/src/world_entities/skysphere.cc	(revision 3502)
@@ -106,7 +106,11 @@
 void Skysphere::updatePosition(Vector sphereCenter)
 {
-  this->sphereCenter = sphereCenter;
+  //this->sphereCenter = sphereCenter; /* absolete */
+  this->absCoordinate = sphereCenter;
 }
 
+
+void Skysphere::tick(float time)
+{}
 
 /**
@@ -120,6 +124,11 @@
   skyMaterial->select();
   glPushMatrix();
-  glTranslatef(this->sphereCenter.x,this->sphereCenter.y,this->sphereCenter.z);
+  //glTranslatef(this->sphereCenter.x,this->sphereCenter.y,this->sphereCenter.z); /* absolete */
   
+  glTranslatef(this->absCoordinate.x,
+	       this->absCoordinate.y,
+	       this->absCoordinate.z);
+    
+
   glRotatef(-30, 1, 0, 0);
   glRotatef(95.0f, 0.0f, 0.0f, 1.0f);
Index: /orxonox/trunk/src/world_entities/skysphere.h
===================================================================
--- /orxonox/trunk/src/world_entities/skysphere.h	(revision 3501)
+++ /orxonox/trunk/src/world_entities/skysphere.h	(revision 3502)
@@ -15,4 +15,5 @@
 /* INCLUDES */
 #include "p_node.h"
+#include "world_entity.h"
 
 /* FORWARD DEFINITION */
@@ -21,5 +22,5 @@
 
 //! A Class to handle a SkySphere
-class Skysphere : public PNode 
+class Skysphere : public WorldEntity
 {
 
@@ -33,9 +34,12 @@
 
   void updatePosition(Vector sphereCenter);
-  void draw();
+
+  virtual void draw();
+  virtual void tick(float time);
 
  private: 
   GLUquadricObj *sphereObj; //!< A Placeholder for the SkySphere.
   Material *skyMaterial;    //!< A Material for the SkySphere.
+
   Vector sphereCenter;      //!< Center of the SkySphere.
   float sphereRadius;       //!< Radius of the SkySphere. This should match the frustum maximum range.