Index: /orxonox/branches/trackManager/src/story_entities/world.cc
===================================================================
--- /orxonox/branches/trackManager/src/story_entities/world.cc	(revision 3517)
+++ /orxonox/branches/trackManager/src/story_entities/world.cc	(revision 3518)
@@ -116,5 +116,5 @@
       trackManager->addPoint(Vector(30,0,5));
       trackManager->addPoint(Vector(40,0,5));
-      trackManager->setDuration(3);
+      trackManager->setDuration(20);
       int fork11, fork12, fork13;
       trackManager->fork(3, &fork11, &fork12, &fork13);
@@ -122,5 +122,6 @@
       trackManager->addPoint(Vector(70, 0, -10));
       trackManager->addPoint(Vector(100, 0, -15));
-      trackManager->setDuration(3);
+      trackManager->addPoint(Vector(300, 0, -15));
+      trackManager->setDuration(4);
       trackManager->workOn(fork12);
       trackManager->addPoint(Vector(70,  0, 0));
@@ -128,4 +129,6 @@
       trackManager->addPoint(Vector(120,10, 0));
       trackManager->addPoint(Vector(150,10, 0));
+      trackManager->addPoint(Vector(180,15, 0));
+      trackManager->addPoint(Vector(200,10, 0));
       trackManager->setDuration(7);
       trackManager->workOn(fork13);
@@ -134,4 +137,18 @@
       trackManager->addPoint(Vector(120,-10, 30));
       trackManager->addPoint(Vector(150,-10, 30));
+      trackManager->setDuration(10);
+      trackManager->join(2, fork12, fork13);
+
+      trackManager->workOn(5);
+      trackManager->addPoint(Vector(250, 20, 10));
+      trackManager->addPoint(Vector(290, 20, 10));
+      trackManager->setDuration(5);
+      trackManager->setSavePoint();
+      trackManager->addPoint(Vector(350, 20, 10));
+      trackManager->addPoint(Vector(360, 20, 10));
+      trackManager->addPoint(Vector(370, 20, 10));
+      trackManager->setDuration(5);
+
+      trackManager->join(2, 6, fork11);
 
       trackManager->finalize();
@@ -140,15 +157,4 @@
       this->glmis->step();
 
-      /*
-	tmpCurve->addNode(Vector(10,  -1,  -1));
-	tmpCurve->addNode(Vector(10,  -2,   2));
-	tmpCurve->addNode(Vector(10,   3,   3));
-	tmpCurve->addNode(Vector(10,   4,  -4), 0);
-	tmpCurve->addNode(Vector(10,  -1,  -1));
-	tmpCurve->addNode(Vector(10,  -2,   2));
-	tmpCurve->addNode(Vector(10,   3,   3));
-	tmpCurve->addNode(Vector(10,   4,  -4), 0);
-	tmpCurve->debug();
-      */
       switch(this->debugWorldNr)
 	{
@@ -164,6 +170,4 @@
 	    this->nullParent->setName ("NullParent");
 
-	    // !\todo old track-system has to be removed
-
 	    //create helper for player
 	    HelperParent* hp = new HelperParent ();
@@ -212,13 +216,4 @@
 	case DEBUG_WORLD_1:
 	  {
-	    /*
-	    this->testCurve = new UPointCurve();
-	    this->testCurve->addNode(Vector( 0, 0, 0));
-	    this->testCurve->addNode(Vector(10, 0, 5));
-	    this->testCurve->addNode(Vector(20, -5,-5));
-	    this->testCurve->addNode(Vector(30, 5, 10));
-	    this->testCurve->addNode(Vector(40, 0,-10));
-	    this->testCurve->addNode(Vector(50, 0,-10));
-	    */
 
 	    this->nullParent = NullParent::getInstance ();
@@ -383,66 +378,8 @@
       }
   glEnd();
-  /*  
-  glBegin(GL_LINES);
-  for( float x = -128.0; x < 128.0; x += 25.0)
-    {
-      for( float y = -128.0; y < 128.0; y += 25.0)
-	{
-	  glColor3f(1,0,0);
-	  glVertex3f(x,y,-128.0);
-	  glVertex3f(x,y,0.0);
-	  glColor3f(0.5,0,0);
-	  glVertex3f(x,y,0.0);
-	  glVertex3f(x,y,128.0);
-	}
-    }
-  for( float y = -128.0; y < 128.0; y += 25.0)
-    {
-      for( float z = -128.0; z < 128.0; z += 25.0)
-	{
-	  glColor3f(0,1,0);
-	  glVertex3f(-128.0,y,z);
-	  glVertex3f(0.0,y,z);
-	  glColor3f(0,0.5,0);
-	  glVertex3f(0.0,y,z);
-	  glVertex3f(128.0,y,z);
-	}
-    }
-  for( float x = -128.0; x < 128.0; x += 25.0)
-    {
-      for( float z = -128.0; z < 128.0; z += 25.0)
-	{
-	  glColor3f(0,0,1);
-	  glVertex3f(x,-128.0,z);
-	  glVertex3f(x,0.0,z);
-	  glColor3f(0,0,0.5);
-	  glVertex3f(x,0.0,z);
-	  glVertex3f(x,128.0,z);
-	}
-      
-    }
-  */  
-  /*
-  glBegin(GL_LINE_STRIP);
-  glColor3f(1.0, 5.0, 1.0);
-  for( int i = 0; i <= 30; i++)
-    {
-      glEvalCoord1f ((GLfloat) i/30.0);
-    }
-  glEnd();
-  */
 
   trackManager->drawGraph(.01);
   trackManager->debug(2);
-  /*  
-  glBegin(GL_LINES);
-  float i;
-  for(i = 0.0; i<1; i+=.01)
-    {
-      printf("%f, %f, %f\n",tmpCurve->calcPos(i).x, tmpCurve->calcPos(i).y, tmpCurve->calcPos(i).z);
-      glVertex3f(tmpCurve->calcPos(i).x, tmpCurve->calcPos(i).y, tmpCurve->calcPos(i).z);
-    }
-  glEnd();
-  */
+
   glEndList();
   // LIGHT initialisation