Index: /orxonox/branches/trackManager/src/Makefile.in
===================================================================
--- /orxonox/branches/trackManager/src/Makefile.in	(revision 3518)
+++ /orxonox/branches/trackManager/src/Makefile.in	(revision 3519)
@@ -315,7 +315,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/Makefile
+	  $(AUTOMAKE) --foreign  src/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /orxonox/branches/trackManager/src/defs/debug.h
===================================================================
--- /orxonox/branches/trackManager/src/defs/debug.h	(revision 3518)
+++ /orxonox/branches/trackManager/src/defs/debug.h	(revision 3519)
@@ -46,5 +46,5 @@
 #define PRINTF1 \
     if (verbose >= ERR) \
-      printf("%s:%d::ERROR:", __FILE__, __LINE__) && printf
+      printf("ERROR::%s:%d:", __FILE__, __LINE__) && printf
 #else 
 #define PRINTF1 if (NO)
@@ -54,5 +54,5 @@
 #define PRINTF2 \
      if (verbose >= WARN) \
-       printf("%s:%d::WARNING:", __FILE__, __LINE__) && printf
+       printf("WARNING::%s:%d:", __FILE__, __LINE__) && printf
          
 #else 
@@ -63,5 +63,5 @@
 #define PRINTF3 \
      if (verbose >= INFO) \
-       printf("%s:%d::INFO:", __FILE__, __LINE__) && printf
+       printf("INFO::%s:%d:", __FILE__, __LINE__) && printf
 #else 
 #define PRINTF3 if (NO)
@@ -71,5 +71,5 @@
 #define PRINTF4 \
      if (verbose >= DEBUGING) \
-       printf("%s:%d::DEBUG:", __FILE__, __LINE__) && printf
+       printf("DEBUG::%s:%d:", __FILE__, __LINE__) && printf
 #else 
 #define PRINTF4 if (NO)
Index: /orxonox/branches/trackManager/src/lib/Makefile.in
===================================================================
--- /orxonox/branches/trackManager/src/lib/Makefile.in	(revision 3518)
+++ /orxonox/branches/trackManager/src/lib/Makefile.in	(revision 3519)
@@ -181,7 +181,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/lib/Makefile
+	  $(AUTOMAKE) --foreign  src/lib/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /orxonox/branches/trackManager/src/lib/coord/p_node.cc
===================================================================
--- /orxonox/branches/trackManager/src/lib/coord/p_node.cc	(revision 3518)
+++ /orxonox/branches/trackManager/src/lib/coord/p_node.cc	(revision 3519)
@@ -304,5 +304,5 @@
 void PNode::setParent (PNode* parent)
 {
-  this->parent = parent;
+  parent->addChild(this);
 }
 
Index: /orxonox/branches/trackManager/src/lib/graphics/Makefile.in
===================================================================
--- /orxonox/branches/trackManager/src/lib/graphics/Makefile.in	(revision 3518)
+++ /orxonox/branches/trackManager/src/lib/graphics/Makefile.in	(revision 3519)
@@ -175,7 +175,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/graphics/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/graphics/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/lib/graphics/Makefile
+	  $(AUTOMAKE) --foreign  src/lib/graphics/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /orxonox/branches/trackManager/src/lib/graphics/importer/Makefile.in
===================================================================
--- /orxonox/branches/trackManager/src/lib/graphics/importer/Makefile.in	(revision 3518)
+++ /orxonox/branches/trackManager/src/lib/graphics/importer/Makefile.in	(revision 3519)
@@ -215,7 +215,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/graphics/importer/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/graphics/importer/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/lib/graphics/importer/Makefile
+	  $(AUTOMAKE) --foreign  src/lib/graphics/importer/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /orxonox/branches/trackManager/src/lib/gui/Makefile.in
===================================================================
--- /orxonox/branches/trackManager/src/lib/gui/Makefile.in	(revision 3518)
+++ /orxonox/branches/trackManager/src/lib/gui/Makefile.in	(revision 3519)
@@ -177,7 +177,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/gui/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/gui/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/lib/gui/Makefile
+	  $(AUTOMAKE) --foreign  src/lib/gui/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /orxonox/branches/trackManager/src/lib/gui/console/Makefile.in
===================================================================
--- /orxonox/branches/trackManager/src/lib/gui/console/Makefile.in	(revision 3518)
+++ /orxonox/branches/trackManager/src/lib/gui/console/Makefile.in	(revision 3519)
@@ -203,7 +203,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/gui/console/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/gui/console/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/lib/gui/console/Makefile
+	  $(AUTOMAKE) --foreign  src/lib/gui/console/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /orxonox/branches/trackManager/src/lib/gui/gui/Makefile.in
===================================================================
--- /orxonox/branches/trackManager/src/lib/gui/gui/Makefile.in	(revision 3518)
+++ /orxonox/branches/trackManager/src/lib/gui/gui/Makefile.in	(revision 3519)
@@ -236,7 +236,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/gui/gui/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/gui/gui/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/lib/gui/gui/Makefile
+	  $(AUTOMAKE) --foreign  src/lib/gui/gui/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /orxonox/branches/trackManager/src/story_entities/world.cc
===================================================================
--- /orxonox/branches/trackManager/src/story_entities/world.cc	(revision 3518)
+++ /orxonox/branches/trackManager/src/story_entities/world.cc	(revision 3519)
@@ -73,5 +73,5 @@
   this->localCamera->destroy();
   this->nullParent->destroy();  
-  delete this->skySphere;
+  //delete this->skySphere;
 
   //delete this->trackManager;
@@ -116,5 +116,5 @@
       trackManager->addPoint(Vector(30,0,5));
       trackManager->addPoint(Vector(40,0,5));
-      trackManager->setDuration(20);
+      trackManager->setDuration(4);
       int fork11, fork12, fork13;
       trackManager->fork(3, &fork11, &fork12, &fork13);
@@ -123,5 +123,5 @@
       trackManager->addPoint(Vector(100, 0, -15));
       trackManager->addPoint(Vector(300, 0, -15));
-      trackManager->setDuration(4);
+      trackManager->setDuration(10);
       trackManager->workOn(fork12);
       trackManager->addPoint(Vector(70,  0, 0));
@@ -191,7 +191,10 @@
 	    this->localCamera->bind (myPlayer);
 	    //this->localPlayer->addChild (this->localCamera);
+	    /*monitor progress*/
+	    this->glmis->step();	    
 
 	    // Create SkySphere
 	    skySphere = new Skysphere("../data/pictures/sky-replace.jpg");
+	    this->localPlayer->addChild(this->skySphere);
 
 	    /*monitor progress*/
@@ -240,4 +243,5 @@
 	    // Create SkySphere
 	    skySphere = new Skysphere("../data/pictures/sky-replace.jpg");
+	    this->localPlayer->addChild(this->skySphere);
 
 	    break;
@@ -731,5 +735,5 @@
 	  entity = entities->nextElement();
 	}
-      skySphere->updatePosition(localCamera->absCoordinate);
+      //skySphere->updatePosition(localCamera->absCoordinate);
       
       /* update tick the rest */
Index: /orxonox/branches/trackManager/src/world_entities/skysphere.cc
===================================================================
--- /orxonox/branches/trackManager/src/world_entities/skysphere.cc	(revision 3518)
+++ /orxonox/branches/trackManager/src/world_entities/skysphere.cc	(revision 3519)
@@ -41,4 +41,5 @@
 }
 
+
 /**
    \brief Constructs a SkySphere and takes fileName as a map.
@@ -49,4 +50,5 @@
   initialize(fileName);
 }
+
 
 /**
@@ -59,4 +61,5 @@
   free(sphereObj);
 }
+
 
 /**
@@ -79,14 +82,4 @@
 
 /**
-   \brief sets the Radius of the Sphere.
-   \param radius The Radius of The Sphere
-*/
-void Skysphere::setRadius(float radius)
-{
-  this->sphereRadius = radius;
-}
-
-
-/**
    \brief Defines which texture should be loaded onto the skysphere.
    \param fileName The filename of the Texture
@@ -95,16 +88,4 @@
 {
   this->skyMaterial->setDiffuseMap(fileName);
-}
-
-
-/**
-   \brief updates the position of the Skysphere
-   \param sphereCenter The coordinate of the Center of the Sphere
-   
-   This is normally done in the update-phase of world, so the Skysphere is always centered at the Camera.
-*/
-void Skysphere::updatePosition(Vector sphereCenter)
-{
-  this->sphereCenter = sphereCenter;
 }
 
@@ -120,9 +101,11 @@
   skyMaterial->select();
   glPushMatrix();
-  glTranslatef(this->sphereCenter.x,this->sphereCenter.y,this->sphereCenter.z);
-  
-  glRotatef(-30, 1, 0, 0);
-  glRotatef(95.0f, 0.0f, 0.0f, 1.0f);
-  glRotatef(-250.0f, 0.0, 1.0f, 0.0f);
+  glTranslatef(this->absCoordinate.x,
+	       this->absCoordinate.y,
+	       this->absCoordinate.z);
+
+  //glRotatef(-30, 1, 0, 0);
+  //glRotatef(95.0f, 0.0f, 0.0f, 1.0f);
+  //glRotatef(-250.0f, 0.0, 1.0f, 0.0f);
   
   gluSphere(sphereObj, sphereRadius, 20, 20);
@@ -130,2 +113,12 @@
   glDisable(GL_TEXTURE_2D);
 }
+
+
+/**
+   \brief sets the Radius of the Sphere.
+   \param radius The Radius of The Sphere
+*/
+void Skysphere::setRadius(float radius)
+{
+  this->sphereRadius = radius;
+}
Index: /orxonox/branches/trackManager/src/world_entities/skysphere.h
===================================================================
--- /orxonox/branches/trackManager/src/world_entities/skysphere.h	(revision 3518)
+++ /orxonox/branches/trackManager/src/world_entities/skysphere.h	(revision 3519)
@@ -15,4 +15,5 @@
 /* INCLUDES */
 #include "p_node.h"
+#include "world_entity.h"
 
 /* FORWARD DEFINITION */
@@ -21,5 +22,5 @@
 
 //! A Class to handle a SkySphere
-class Skysphere : public PNode 
+class Skysphere : public WorldEntity
 {
 
@@ -32,14 +33,11 @@
   void setTexture(char* fileName);
 
-  void updatePosition(Vector sphereCenter);
-  void draw();
+  virtual void draw();
 
  private: 
   GLUquadricObj *sphereObj; //!< A Placeholder for the SkySphere.
   Material *skyMaterial;    //!< A Material for the SkySphere.
-  Vector sphereCenter;      //!< Center of the SkySphere.
   float sphereRadius;       //!< Radius of the SkySphere. This should match the frustum maximum range.
-
-
+    
   void initialize(char* fileName);  
 };